extends Node

const data := [
	['LIFT-850 Jump Pack', preload('res://game/gems/LIFT-850icon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.UP]],
	['B-1 Supply Pack', preload('res://game/gems/B-1icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.DOWN]],
	['AX/LAS-5 "Guard Dog" Rover', preload('res://game/gems/AX-LAS-5icon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.RIGHT]],
	['SH-20 Ballistic Shield Backpack', preload('res://game/gems/SH-20icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT]],
	['SH-32 Shield Generator Pack', preload('res://game/gems/SH-32icon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.LEFT, Global.DIRS.RIGHT]],
	['AX/AR-23 "Guard Dog"', preload('res://game/gems/AX-AR-23icon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN]],
	['MG-43 Machine Gun', preload('res://game/gems/MG-43icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['APW-1 Anti-Materiel Rifle', preload('res://game/gems/APW-1icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.DOWN]],
	['M-105 Stalwart', preload('res://game/gems/M-105icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.LEFT]],
	['EAT-17 Expendable Anti-tank', preload('res://game/gems/EAT-17icon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['GR-8 Recoilless Rifle', preload('res://game/gems/GR-8icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.LEFT]],
	['FLAM-40 Flamethrower', preload('res://game/gems/FLAM-40icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.UP]],
	['AC-8 Autocannon', preload('res://game/gems/AC-8icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['RS-422 Railgun', preload('res://game/gems/RS-422icon.png'), [Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.RIGHT]],
	['FAF-14 SPEAR Launcher', preload('res://game/gems/FAF-14icon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.DOWN]],
	['GL-21 Grenade Launcher', preload('res://game/gems/GL-21icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.DOWN]],
	['LAS-98 Laser Cannon', preload('res://game/gems/LAS-98icon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT]],
	['ARC-3 Arc Thrower', preload('res://game/gems/ARC-3icon.png'), [Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.LEFT]],
	['Reinforce', preload('res://game/gems/Reinforceicon.png'), [Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.LEFT, Global.DIRS.UP]],
	['SOS Beacon', preload('res://game/gems/SOSicon.png'), [Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.UP]],
	['Resupply', preload('res://game/gems/ResupplyIcon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['NUX-223 Hellbomb', preload('res://game/gems/Strat_NUX-223_Hellbomb_mk1.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP]],
	['SSSD Delivery', preload('res://game/gems/DeliverSSSDicon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP]],
	['Seismic Probe', preload('res://game/gems/Seismic_probe_icon.png'), [Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.DOWN]],
	['Upload Data', preload('res://game/gems/DeliverSSSDicon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.UP]],
	['Eagle Rearm', preload('res://game/gems/HD2_Eagle_Rearm_Icon.jpg'), [Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['E/MG-101 HMG Emplacement', preload('res://game/gems/HMGTurreticon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.LEFT]],
	['FX-12 Shield Generator Relay', preload('res://game/gems/Shieldrelayicon.png'), [Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.LEFT, Global.DIRS.RIGHT]],
	['A/ARC-3 Tesla Tower', preload('res://game/gems/Teslaicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.RIGHT]],
	['MD-6 Anti-Personnel Minefield', preload('res://game/gems/Minefieldicon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.RIGHT]],
	['MD-I4 Incendiary Mines', preload('res://game/gems/Fireminefieldicon.png'), [Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.LEFT, Global.DIRS.DOWN]],
	['A/MG-43 Machine Gun Sentry', preload('res://game/gems/MGsentryicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.UP]],
	['A/G-16 Gatling Sentry', preload('res://game/gems/Gatlingsentryicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.LEFT]],
	['A/M-12 Mortar Sentry', preload('res://game/gems/Mortarsentryicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.DOWN]],
	['A/AC-8 Autocannon Sentry', preload('res://game/gems/Autocannoasentryicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.UP]],
	['A/MLS-4X Rocket Sentry', preload('res://game/gems/Missilesentryicon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.LEFT]],
	['A/M-23 EMS Mortar Sentry', preload('res://game/gems/EMSmortaricon.png'), [Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.RIGHT]],
	['Orbital Gatling Barrage', preload('res://game/gems/OrbitalGatlingicon.png'), [Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.UP, Global.DIRS.UP]],
	['Orbital Airburst Strike', preload('res://game/gems/OrbitalAirbursticon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.RIGHT]],
	['Orbital 120MM HE Barrage', preload('res://game/gems/Orbital120icon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.LEFT, Global.DIRS.RIGHT, Global.DIRS.DOWN]],
	['Orbital 380MM HE Barrage', preload('res://game/gems/Orbital380icon.png'), [Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.UP, Global.DIRS.LEFT, Global.DIRS.DOWN, Global.DIRS.DOWN]],
	['Orbital Walking Barrage', preload('res://game/gems/OrbitalWalkingicon.png'), [Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.RIGHT, Global.DIRS.DOWN]],
	['Orbital Laser', preload('res://game/gems/OrbitalLasericon.png'), [Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN]],
	['Orbital Railcannon Strike', preload('res://game/gems/OrbitalRailcannonicon.png'), [Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.RIGHT]],
	['Orbital Precision Strike', preload('res://game/gems/OrbitalPrecisionicon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.UP]],
	['Orbital Gas Strike', preload('res://game/gems/OrbitalGasicon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.RIGHT]],
	['Orbital EMS Strike', preload('res://game/gems/OrbitalEMSicon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.LEFT, Global.DIRS.DOWN]],
	['Orbital Smoke Strike', preload('res://game/gems/OrbitalSmokeicon.png'), [Global.DIRS.RIGHT, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP]],
	['Eagle Strafing Run', preload('res://game/gems/EagleStrafingicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.RIGHT]],
	['Eagle Airstrike', preload('res://game/gems/EagleAirstrikeicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.RIGHT]],
	['Eagle Cluster Bomb', preload('res://game/gems/EagleClusterbombicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.RIGHT]],
	['Eagle Napalm Airstrike', preload('res://game/gems/EagleNapalmicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.UP]],
	['Eagle Smoke Strike', preload('res://game/gems/EagleSmokeicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.DOWN]],
	['Eagle 110MM Rocket Pods', preload('res://game/gems/EagleRocketpodicon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.UP, Global.DIRS.LEFT]],
	['Eagle 500kg Bomb', preload('res://game/gems/Eagle500icon.png'), [Global.DIRS.UP, Global.DIRS.RIGHT, Global.DIRS.DOWN, Global.DIRS.DOWN, Global.DIRS.DOWN]],
]
